#ifndef APPLICATIONDATA_H
#define APPLICATIONDATA_H

#include <QObject>

class TestDataModel: public QObject
{
    Q_OBJECT

public:
    Q_INVOKABLE std::vector<int> getCounters() const
    {
        return m_counters;
    }

Q_SIGNALS:
    void dataChanged();

public Q_SLOTS:
    void generateTestData()
    {
        m_counters = {qrand() % 100, qrand() % 50, qrand() % 20, qrand() % 10};

        Q_EMIT dataChanged();
    }

private:
    std::vector<int> m_counters = {10,20,35,44};
};


#endif // APPLICATIONDATA_H
